MyGUI_Types.h File Reference
`#include "MyGUI_Prerequest.h"`
`#include <cstdint>`
`#include <vector>`
`#include <map>`
`#include <string>`
`#include "MyGUI_Align.h"`
`#include "MyGUI_TPoint.h"`
`#include "MyGUI_TSize.h"`
`#include "MyGUI_TRect.h"`
`#include "MyGUI_TCoord.h"`

Go to the source code of this file.

## Namespaces

namespace | MyGUI

## Typedefs

using | MyGUI::IntPoint = types::TPoint<int>
using | MyGUI::FloatPoint = types::TPoint<float>
using | MyGUI::IntSize = types::TSize<int>
using | MyGUI::FloatSize = types::TSize<float>
using | MyGUI::IntRect = types::TRect<int>
using | MyGUI::FloatRect = types::TRect<float>
using | MyGUI::IntCoord = types::TCoord<int>
using | MyGUI::FloatCoord = types::TCoord<float>
using | MyGUI::DoubleCoord = types::TCoord<double>
using | MyGUI::MapString = std::map<std::string, std::string, std::less<>>
using | MyGUI::VectorString = std::vector<std::string>
using | MyGUI::PairString = std::pair<std::string, std::string>
using | MyGUI::VectorStringPairs = std::vector<PairString>
using | MyGUI::uint8 = uint8_t
using | MyGUI::uint16 = uint16_t
using | MyGUI::uint32 = uint32_t
using | MyGUI::Char = unsigned int